<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                Mobile Content Management System                    //
// Project site:          http://johncms.com                                  //
// Support site:          http://gazenwagen.com                               //
////////////////////////////////////////////////////////////////////////////////
// Lead Developer:        Oleg Kasyanov   (AlkatraZ)  alkatraz@gazenwagen.com //
// Development Team:      Eugene Ryabinin (john77)    john77@gazenwagen.com   //
//                        Dmitry Liseenko (FlySelf)   flyself@johncms.com     //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

/*
-----------------------------------------------------------------
Подробная информация, контактные данные
-----------------------------------------------------------------
*/
$textl = htmlspecialchars($user['name']) . ': ' . $lng['information'];
require('../incfiles/head.php');
echo '<div class="phdr"><a href="profile.php?user=' . $user['id'] . '"><b>' . $lng['profile'] . '</b></a> | ' . $lng['information'] . '</div>';
if ($user['id'] == $user_id || ($rights >= 7 && $rights > $user['rights']))
    echo '<div class="topmenu"><a href="profile.php?act=edit&amp;user=' . $user['id'] . '">' . $lng['edit'] . ' анкету</a></div>';
echo '<div class="user">';

$last = isset($_GET['last']) ? intval($_GET['last']) : $datauser['lastdate'];
echo 'Последний визит: ' . date("d.m.Y (H:i)", $last) . '<br />';

echo '<span class="gray">' . ($user['sex'] == 'm' ? $lng_profile['registered_m'] : $lng_profile['registered_w']) . ':</span> ' . date("d.m.Y", $user['datereg']) . '<br />' .
    '<span class="gray">' . ($user['sex'] == 'm' ? $lng_profile['stayed_m'] : $lng_profile['stayed_w']) . ':</span> ' . functions::timecount($user['total_on_site']) . '<br />';

echo '<span class="gray">' . $lng['forum'] . ':</span> <a href="profile.php?act=activity&amp;user=' . $user['id'] . '"><span style="color: #FF0000;">' . $user['postforum'] . '</span></a><br />' .
    '<span class="gray">' . $lng['guestbook'] . ':</span> <a href="profile.php?act=activity&amp;mod=comments&amp;user=' . $user['id'] . '"><span style="color: #FF0000;">' . $user['postguest'] . '</span></a><br />' .
    '<span class="gray">' . $lng['comments'] . ':</span> ' . $user['komm'] . '<br />';
    
echo'<span class="gray">Монеты:</span> <b>'.$user['balans'].'</b><br />';
    
echo '</div>';
echo '<div class=""></div>' .
    '<div class="list2">' .
    '<h3><img src="../images/contacts.png" width="16" height="16" class="left" />&#160;' . $lng_profile['personal_data'] . '</h3>';
if (file_exists('../files/users/photo/' . $user['id'] . '_small.jpg'))
    echo '<a href="../files/users/photo/' . $user['id'] . '.jpg"><img src="../files/users/photo/' . $user['id'] . '_small.jpg" alt="' . $user['name'] . '" border="0" /></a><br />';
       else
    echo '<img src="/images/empty.png" width="54" height="54" alt="" /><br />';
echo '<span class="gray">' . $lng_profile['name'] . ':</span> ' . (empty($user['imname']) ? '' : $user['imname']) . '<br />' .
    '<span class="gray">' . $lng_profile['birt'] . ':</span> ' . (empty($user['dayb']) ? '' : sprintf("%02d", $user['dayb']) . '.' . sprintf("%02d", $user['monthb']) . '.' . $user['yearofbirth']) . '<br />' .
    '<span class="gray">' . $lng_profile['city'] . ':</span> ' . (empty($user['live']) ? '' : $user['live']) . '<br />' .
    '<span class="gray">' . $lng_profile['about'] . ':</span> ' . (empty($user['about']) ? '' : ' ' . functions::smileys(bbcode::tags($user['about']))) . '<br />' .
    '<h3><img src="../images/mail.png" width="16" height="16" class="left" />&#160;' . $lng_profile['communication'] . '</h3>' .
    '<span class="gray">' . $lng_profile['phone_number'] . ':</span> ' . (empty($user['mibile']) ? '' : $user['mibile']) . '<br />' .
    '<span class="gray">E-mail:</span> ';
if (!empty($user['mail']) && $user['mailvis'] || $rights >= 7 || $user['id'] == $user_id) {
    echo $user['mail'] . ($user['mailvis'] ? '' : '<span class="gray"> [' . $lng_profile['hidden'] . ']</span>');
}
echo '<br />' .
    '<span class="gray">ICQ:</span> ' . (empty($user['icq']) ? '' : $user['icq']) . '<br />' .
    '<span class="gray">Skype:</span> ' . (empty($user['skype']) ? '' : $user['skype']) . '<br />' .
    '<span class="gray">Jabber:</span> ' . (empty($user['jabber']) ? '' : $user['jabber']) . '<br />' .
    '<span class="gray">' . $lng_profile['site'] . ':</span> ' . (empty($user['www']) ? '' : bbcode::tags($user['www'])) . '<br />' .
    '</div>' .
    '<div class="phdr"><a href="profile.php?user=' . $user['id'] . '">' . $lng['back'] . '</a></div>';
?>